<?php
/*
Plugin Name: Notiflys for WordPress
Description: Adds a connection to notiflys.com using an API key from the settings.
Version: 1.2
Author: Team Notiflys
*/

// Rest of the code goes here
function notiflys_create_menu()
{
    add_options_page('Notiflys Settings', 'Notiflys', 'administrator', __FILE__, 'notiflys_settings_page');
    add_action('admin_init', 'register_notiflys_settings');
}

function register_notiflys_settings()
{
    register_setting('notiflys-settings-group', 'notiflys_pixel_code');
}

function notiflys_settings_page()
{
?>
    <div class="wrap">
        <h2>Notiflys Settings</h2>
        <form method="post" action="options.php">
            <?php settings_fields('notiflys-settings-group'); ?>
            <?php do_settings_sections('notiflys-settings-group'); ?>
            <p><?php _e('Copy Pixel Code from Notiflys.com page and paste it in Your Pixel Code field.', 'notiflys'); ?></p>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row"><?php _e('Your Pixel Code', 'notiflys'); ?></th>
                    <td>
                        <textarea rows="10" cols="100" name="notiflys_pixel_code"><?php echo esc_textarea(get_option('notiflys_pixel_code')); ?></textarea>
                    </td>
                </tr>
            </table>
            <?php submit_button(); ?>
        </form>
    </div>
<?php }

add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'notiflys_settings_link');
function notiflys_settings_link(array $links)
{
    $url = get_admin_url() . "options-general.php?page=notiflys/notiflys.php";
    $settings_link = '<a href="' . $url . '">' . __('Settings', 'notiflys') . '</a>';
    $links[] = $settings_link;
    return $links;
}

add_action('admin_menu', 'notiflys_create_menu');

function notiflys_add_js_to_head()
{
    $pixel_code = get_option('notiflys_pixel_code');
    if ($pixel_code) {
        echo stripslashes_deep($pixel_code);
    }
}

add_action('wp_head', 'notiflys_add_js_to_head');
